statusbar 1.0.4

  • README.md
  • CHANGELOG.md
  • Example
  • Installing
  • Versions
  • new65

statusbar

Flutter plugin use to change the color of the status bar.

How to Use

StatusBar.color(Colors.red);

1.0.4

  • Resolved issue in iOS, not updating properly if VC implements prefersStatusBarHidden.

1.0.3

  • Resolved issue in Android not padding hex color value with 0.

1.0.2

  • Switched from Swift -> ObjC, attempting to solve issue when including plugin

1.0.1

  • Added iOS, Android and example folders

1.0.0

  • Change status bar color support

example/lib/main.dart

import 'package:flutter/material.dart';
import 'package:statusbar/statusbar.dart';

void main() => runApp(new MyApp());

class MyApp extends StatefulWidget {
  @override
  _MyAppState createState() => new _MyAppState();
}

class _MyAppState extends State<MyApp> {
  @override
  void initState() {
    super.initState();
    StatusBar.color(Colors.red);
  }

  @override
  Widget build(BuildContext context) {
    return new MaterialApp(
      home: Text(""),
    );
  }
}

Use this package as a library

1. Depend on it

Add this to your package's pubspec.yaml file:


dependencies:
  statusbar: ^1.0.4

2. Install it

You can install packages from the command line:

with Flutter:


$ flutter packages get

Alternatively, your editor might support flutter packages get. Check the docs for your editor to learn more.

3. Import it

Now in your Dart code, you can use:


import 'package:statusbar/statusbar.dart';
  
Version Uploaded Documentation Archive
1.0.4 Sep 20, 2018 Go to the documentation of statusbar 1.0.4 Download statusbar 1.0.4 archive
1.0.3 Sep 15, 2018 Go to the documentation of statusbar 1.0.3 Download statusbar 1.0.3 archive
1.0.2 Sep 14, 2018 Go to the documentation of statusbar 1.0.2 Download statusbar 1.0.2 archive
1.0.1 Sep 14, 2018 Go to the documentation of statusbar 1.0.1 Download statusbar 1.0.1 archive
1.0.0 Sep 14, 2018 Go to the documentation of statusbar 1.0.0 Download statusbar 1.0.0 archive
Popularity:
Describes how popular the package is relative to other packages. [more]
37
Health:
Code health derived from static analysis. [more]
100
Maintenance:
Reflects how tidy and up-to-date the package is. [more]
80
Overall:
Weighted score of the above. [more]
65
Learn more about scoring.

We analyzed this package on Sep 20, 2018, and provided a score, details, and suggestions below. Analysis was completed with status completed using:

  • Dart: 2.0.0
  • pana: 0.12.3
  • Flutter: 0.8.4

Platforms

Detected platforms: Flutter

References Flutter, and has no conflicting libraries.

Suggestions

The description is too short.

Add more detail about the package, what it does and what is its target use case. Try to write at least 60 characters.

Format lib/statusbar.dart.

Run flutter format to format lib/statusbar.dart.

Dependencies

Package Constraint Resolved Available
Direct dependencies
Dart SDK >=2.0.0-dev.68.0 <3.0.0
flutter 0.0.0
Transitive dependencies
collection 1.14.11
meta 1.1.6
sky_engine 0.0.99
typed_data 1.1.6
vector_math 2.0.8